package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Document_upload;
import com.realnet.basicp1.Services.Document_uploadService ;




@RequestMapping(value = "/token/Document_upload")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Document_uploadController {
	@Autowired
	private Document_uploadService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Document_upload")
		  public Document_upload Savedata(@RequestBody Document_upload data) {
		Document_upload save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Document_upload/{id}")
	public  Document_upload update(@RequestBody Document_upload data,@PathVariable Integer id ) {
		Document_upload update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Document_upload/getall/page")
	public Page<Document_upload> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Document_upload> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Document_upload")
	public List<Document_upload> getdetails() {
		 List<Document_upload> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Document_upload")
	public List<Document_upload> getallwioutsec() {
		 List<Document_upload> get = Service.getdetails();		
		return get;
}
@GetMapping("/Document_upload/{id}")
	public  Document_upload  getdetailsbyId(@PathVariable Integer id ) {
		Document_upload  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Document_upload/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}